Loading...
Searching...
No Matches
char_traits.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "iterator.h"`
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | etl::char_traits_types< char >
struct | etl::char_traits_types< signed char >
struct | etl::char_traits_types< unsigned char >
struct | etl::char_traits_types< wchar_t >
struct | etl::char_traits_types< char16_t >
struct | etl::char_traits_types< char32_t >
struct | etl::char_traits< T >
| Character traits for any character type. More...

## Namespaces

namespace | etl

## Functions

template<typename T>
ETL_CONSTEXPR14 size_t | etl::strlen (const T *t) ETL_NOEXCEPT
| Alternative strlen for all character types.
template<typename T>
ETL_CONSTEXPR14 size_t | etl::strlen (const T *t, size_t max_length) ETL_NOEXCEPT
| Alternative strlen for all character types, with maximum length.
template<typename T>
ETL_CONSTEXPR14 int | etl::strcmp (const T *t1, const T *t2) ETL_NOEXCEPT
| Alternative strcmp for all character types.
template<typename T>
ETL_CONSTEXPR14 int | etl::strncmp (const T *t1, const T *t2, size_t n) ETL_NOEXCEPT
| Alternative strncmp for all character types.
template<typename T>
ETL_CONSTEXPR14 T * | etl::strcpy (T *dst, const T *src) ETL_NOEXCEPT
| Alternative strcpy for all character types.
template<typename T>
ETL_CONSTEXPR14 T * | etl::strncpy (T *dst, const T *src, size_t n) ETL_NOEXCEPT
| Alternative strncpy for all character types.